package logic

import (
	"database/sql"
	"sevenkeys/database"
)

func CreateStorageArea(db *sql.DB, storageArea database.StorageArea) error {
	// TODO: Check if there's already a storage are with the same name
	// TODO: Check if the type entered is valid
	err := database.InsertStorageArea(db, storageArea)
	if err != nil {
		return err
	}

	return nil
}

func StoreCard(db *sql.DB, storageLocation database.CardStorageLocation) error {
	lastPosition, err := database.GetLastPositionInBox(db, storageLocation.StorageBox)
	if err != nil {
		return err
	}

	storageLocation.Position = lastPosition + 1

	err = database.InsertCardStorageLocation(db, storageLocation)
	if err != nil {
		return err
	}

	return nil
}
