package database

import "database/sql"

type StorageArea struct {
	Id   int
	Name string
	Type string
}

func InsertStorageArea(db *sql.DB, storageArea StorageArea) error {
	query := `INSERT INTO StorageArea (Name, StorageType) VALUES (?, ?);`

	insert, err := db.Prepare(query)
	if err != nil {
		return err
	}

	_, err = insert.Exec(storageArea.Name, storageArea.Type)
	if err != nil {
		return err
	}

	return nil
}
